GET /event.json
Summary: Search device adverse event reports
Operation ID: getDeviceEvents
Auth: unknown
Operation ID: getDeviceEvents
Auth: unknown
Description
Access the MAUDE (Manufacturer and User Facility Device Experience) database containing medical device adverse event reports submitted to FDA. Reports include information about device malfunctions, patient injuries, deaths, and other problems associated with medical devices.
Parameters (4)
count
(string, query, optional)
Field to count/aggregate results by. Returns counts of unique values.
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Search query using openFDA search syntax. Example: 'device.generic_name:stent' to search by device name.
skip
(integer, query, optional, default: 0)
Number of results to skip (for pagination)
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for stent adverse events | curl |
https://api.fda.gov/device/event.json?search=device.generic_name:stent&limit=5 |
|
| Search pacemaker events with pagination | curl |
https://api.fda.gov/device/event.json?search=device.generic_name:pacemaker&limit=10&skip=0 |
|
| Count adverse events by manufacturer | curl |
https://api.fda.gov/device/event.json?search=device.generic_name:defibrillator&count=manufacturer_name |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:11:15.404528 | 200 | 890ms | |
| 2026-03-23 09:08:09.574141 | 200 | 1121ms | |
| 2026-03-23 09:02:11.988199 | 500 | 893ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:08:09.574141 | 5f19010affa8 |
a8cfe2f2ff73 |
| 2026-03-23 09:11:15.404528 | a8cfe2f2ff73 |
dd954128ad11 |